#ifndef __EPGSEARCHTEMPLFILE_H
#define __EPGSEARCHTEMPLFILE_H

#include <vdr/config.h>

#define MAXTEMPLLEN 2000

class cTemplLine : public cListObject {
private:
  char *name;
  char *value;
public:
  cTemplLine(void);
  cTemplLine(const char *Name, const char *Value);
  virtual ~cTemplLine();
  const char *Name(void) { return name; }
  const char *Value(void) { return value; }
  bool Parse(char *s);
};


class cTemplFile : public cConfig<cTemplLine> 
{
    bool Parse(const char *Name, const char *Value);
public:
    cTemplFile();
    bool Load(const char *FileName);
    static void PrepareTemplate(const char* templateType, const char* templateLine);
    static void PrepareDefaultTemplates();
    static void Reset();
};

#endif
